#!/bin/sh

if [ "$(id -u)" != "0" ]; then
  echo "Please run this script with root access"
  exit 1
fi

if [ "$(uname -m)" == "x86_64" ]; then
  PLATFORM=64
else
  PLATFORM=32
fi

echo Installing simplot in /usr/bin

[ ! -d /usr/share/simpson ] && mkdir /usr/share/simpson
cp lib* /usr/share/simpson
cp simplot /usr/share/simpson
cp simplot.sh /usr/bin/simplot
chown -R root:root /usr/share/simpson /usr/bin/simplot
chmod 755 /usr/share/simpson/simpson /usr/bin/simplot /usr/share/simpson/simplot
echo Done

